> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/usercontext/segment/segmenttype.md).

# SegmentType

Enum representation of the type of segment.

```
PHYSICAL_ACTIVITY__HIGH
PHYSICAL_ACTIVITY__LIMITED
PHYSICAL_ACTIVITY__MODERATE
MOBILITY__HIGH
MOBILITY__LIMITED
MOBILITY__MODERATE
SOCIAL_ACTIVITY__HIGH
SOCIAL_ACTIVITY__LIMITED
SOCIAL_ACTIVITY__MODERATE
BAR_GOER
FOODIE
HEALTHY_BIKER
DIE_HARD_DRIVER
EARLY_BIRD
EASY_COMMUTER
FREQUENT_FLYER
FULLTIME_WORKER
GREEN_COMMUTER
HEALTHY_WALKER
HEAVY_COMMUTER
HOME_BOUND
HOMEBODY
HOMEWORKER
LATE_WORKER
LONG_COMMUTER
NATURE_LOVER
NIGHT_OWL
NIGHTWORKER
NORMAL_COMMUTER
PARTTIME_WORKER
PUBLIC_TRANSPORTS_COMMUTER
PUBLIC_TRANSPORTS_USER
RESTO_LOVER
SHOPAHOLIC
SHORT_COMMUTER
SLEEP_DEPRIVED
SPORTIVE
STUDENT
UBER_PARENT
WORK_LIFE_BALANCE
WORK_TRAVELLER
WORKAHOLIC
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/usercontext/segment/segmenttype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
